Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-roll-applicability-home-building-08

From: Meral Shirazipour <[email-masked]>
Date: Sun, 22 Mar 2015 20:28:51 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq. 

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-roll-applicability-home-building-08
Reviewer: Meral Shirazipour
Review Date: 2015-03-21
IETF LC End Date:  2015-03-23
IESG Telechat date: NA

Summary:
This draft is ready to be published as Standards Track RFC but I have some comments.

Major issues:

Minor issues:

Nits/editorial comments:
-[Page 1], "RPL" first used in title/abstract, Would be good to spell it out.
-[Page 5], Section 2, "Monitoring of functional correctness is at least as important.". As important as what? (not clear)
-[Page 5], Section 2, "Devices typically communicate their status regularly and send alarm messages notifying a malfunction of equipment or network."
Not clear what equipment is? network node is an equipment?
-[Page 6], Section 2.1, "for large installation"--->"for a large installation"
-[Page 8], Section 2.2.2, "fire detectors and the smoke dampers need to be put in place to meet the stringent delay requirements."
Where can we find a value for the delay requirement of fire detectors? A value or reference would be good.
-[Page 9], Section 2.2.4,"advanced scene and group control". Not clear what "scene" means.
-[Page 13], Section 4.1, "assumes the role as authoritative"--->"assumes the role of authoritative"
-[Page 16], section 4.1.8, please spell out first use CBC-MAC (Cipher Block Chaining Message Authentication Code)
-[Page 16], section 4.1.10, it would be good to give the RFCs.
-[Page 16], section 4.2.4, MLE to spell out at first use "mesh link establishment"
-[Page 22], "CoAp" first used in section 7.4, but spelled out in section 8.
-[Page 18], section 5.1.1., "to throw away too late messages", how are too late messages identified?
-[Page 27], [I-D.ietf-6lo-lowpanz] to be replaced by RFC7428 
-[Page 28], link to [occuswitch] to be verified.
-Through the document both "ms" and "msec" are used. Selecting one for consistency would be better.

Best Regards,
Meral
---
Meral Shirazipour
Ericsson
Research
www.ericsson.com

---

From: peter van der Stok <[email-masked]>
Date: Mon, 23 Mar 2015 15:49:04 +0100

HI Meral,

Thanks for the suggestions.
I have no problem with any of them. I think they are quite justified. 
Thank you very much for pointing them out.
Concerning scene and group control. I may suppress the word "scene".
About [occuswitch] I have to look for a valid alternative. However, 
these links are maintained by a company, which changes information 
frequently.
Sorry for missing out some of the acronyms. I thought I caught them out 
all.

Greetings,

Peter

Meral Shirazipour schreef op 2015-03-22 21:28:
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq.
> 
> -[Page 5], Section 2, "Monitoring of functional correctness is at
> least as important.". As important as what? (not clear)
> -[Page 5], Section 2, "Devices typically communicate their status
> regularly and send alarm messages notifying a malfunction of equipment
> or network."
> -[Page 8], Section 2.2.2, "fire detectors and the smoke dampers need
> to be put in place to meet the stringent delay requirements."
> -[Page 13], Section 4.1, "assumes the role as
> authoritative"--->"assumes the role of authoritative"
> -[Page 16], section 4.1.8, please spell out first use CBC-MAC (Cipher
> Block Chaining Message Authentication Code)

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 23 Mar 2015 19:12:00 -0000

Hi Peter,

This all looks good.
The changes are small, but it would be worth catching them in a new revision.
Please post it when you have it, no need to check with me.

Once you've done that, we'll hand it over to Alvaro as the incoming AD, and he
can put it on an IESG telechat.

Cheers,
Adrian

> -----Original Message-----
> From: peter van der Stok [mailto:[email-masked]]
> Sent: 23 March 2015 14:49
> To: Meral Shirazipour
> Cc: [email-masked];
[email-masked]
> Subject: Re: Gen-ART Last Call review of draft-ietf-roll-applicability-home-
> building-08
> 
> HI Meral,
>

---

From: peter van der Stok <[email-masked]>
Date: Mon, 23 Mar 2015 20:18:14 +0100

Hi Adrian,

good news. I try to do the update this week.

Greetings, thanks,

Peter

---

From: Meral Shirazipour <[email-masked]>
Date: Mon, 23 Mar 2015 20:03:24 +0000

Hi,
  Thanks for considering the comments. The link is ok I think, some spaces within the url were causing an error. 
This works:
[occuswitch] http://www.philipslightingcontrols.com/assets/cms/uploads/files/osw/MK_OSWNETBROC_5.pdf,  May 2012.

Best,
Meral

-----Original Message-----
From: peter van der Stok [mailto:[email-masked]] 
Sent: Monday, March 23, 2015 12:18 PM
To: [email-masked]
Cc: [email-masked]; Meral Shirazipour; [email-masked]; [email-masked]; Alvaro Retana
Subject: RE: Gen-ART Last Call review of draft-ietf-roll-applicability-home-building-08

Hi Adrian,

Greetings, thanks,

Peter

Adrian Farrel schreef op 2015-03-23 20:12:
> Once you've done that, we'll hand it over to Alvaro as the incoming 
> AD, and he can put it on an IESG telechat.
> 
> Cheers,
> Adrian
> 
> 
>> Sorry for missing out some of the acronyms. I thought I caught them 
>> out all.
>> 
>> Greetings,
>> 
>> Peter
>> 
>> 
>> > I am the assigned Gen-ART reviewer for this draft. For background 
>> > on Gen-ART, please see the FAQ at 
>> > least as important.". As important as what? (not clear) -[Page 5], 
>> > Section 2, "Devices typically communicate their status regularly 
>> > and send alarm messages notifying a malfunction of equipment or 
>> > network."
>> > -[Page 8], Section 2.2.2, "fire detectors and the smoke dampers 
>> > need to be put in place to meet the stringent delay requirements."
>> > -[Page 16], section 4.1.8, please spell out first use CBC-MAC 
>> > (Cipher Block Chaining Message Authentication Code) -[Page 16], 
>> > section 4.1.10, it would be good to give the RFCs.
>> > -[Page 27], [I-D.ietf-6lo-lowpanz] to be replaced by RFC7428 -[Page 
>> > 28], link to [occuswitch] to be verified.